#ifndef PIFILCHOGEN_H_SEEN
#define PIFILCHOGEN_H_SEEN

#include "pisysdep.h"
#include PIWDG_H

class PIFileChooserGen : public PIWdg {
public:
  enum {ClassId = 2100};

                     PIFileChooserGen(PIMsgHandler* par, char* nom, PIMessage msg);
  virtual            ~PIFileChooserGen();

  virtual void       Show();

  virtual void       AcceptNewFile(bool acc);
  virtual void       SetPath(string const&) = 0;
  virtual void       SetFileName(string const&) = 0;

  virtual string     GetPath() = 0;
  virtual string     GetFileName() = 0;

  virtual long       kind() {return ClassId; }

protected:

};


#endif




